3.3.0 - Probleme beim Update seit 3.3.0

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
taro
Mitglied
Beiträge: 54
Registriert: 06.06.2010 07:41

3.3.0 - Probleme beim Update seit 3.3.0

Beitrag von taro »

Hallo,

ich hatte schon beim Update von 3.3.0 auf 3.3.1 Probleme - bei der Aktualisierung stoppte es bei 77%.
Dazu konnte ich auch auf Anfrage hier keine Lösung finden. Daher wartete ich nun auf das neue Update - in der Hoffnung,
dass es nun geht.

Geht aber nicht - andere Foren am gleichen Server lassen sich ohne Probleme updaten.

Nun habe ich den Fehler eingegrenzt, es scheint wohl PHP 7.1.x ein Problem zu machen.

Schalte ich auf PHP 7,3 oder höher, erhalte ich außerdem bei den Erweiterungen folgenden Fehler - siehe unten.
Wenn ich eine Erweiterung deaktiviere, danach auf zurück klicke - kommt oben diese Fehlermeldung - nur ab 7.3.x oder höher.
bei PHP 7.0 - aber nicht.
Ansonsten läuft aber das Board unter 7.4 - auch mit diesem u.g. Fehler. Sonstige Probleme sind nicht bekannt - nur Update geht nicht mehr.

Ich wollte nun das Update mit PHP 7.0 durchführen, geht aber nicht, weil PHP 7.1 oder höher vorausgesetzt wird.

Bin kein PHP-Experte - hat alsojemand eine Idee, wie ich das lösen könnte?
Ich denke die beiden Probleme hängen zusammen.

[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-stdlib/src/ArrayObject.php on line 426: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 272: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 275: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 281: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 287: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 296: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 314: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 319: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 237
Registriert: 13.01.2020 21:09

Re: 3.3.0 - Probleme beim Update seit 3.3.0

Beitrag von Mike-on-Tour »

Nach welcher Methode hast du das Update (also con 3.3.0 auf 3.3.1 und 3.3.1 auf 3.3.2) denn gemacht? Manuell mit dem Komplettpaket und Update der Datenbank oder den (nicht empfohlenen) automatischen Update?
taro
Mitglied
Beiträge: 54
Registriert: 06.06.2010 07:41

Re: 3.3.0 - Probleme beim Update seit 3.3.0

Beitrag von taro »

Mike-on-Tour hat geschrieben:
21.11.2020 18:27
Nach welcher Methode hast du das Update (also con 3.3.0 auf 3.3.1 und 3.3.1 auf 3.3.2) denn gemacht? Manuell mit dem Komplettpaket und Update der Datenbank oder den (nicht empfohlenen) automatischen Update?
mach ich immer manuell mit dem Komplettpaket. Hat zeitnah mit 2 Foren am gleichen Server toll fuktioniert - nur bei einem
Forum geht es nicht. Schon seit 3.3.0 nicht.

Irgendwas blockiert in der Datenbank - etwas, dass m.E. mit PHP 7 zu tun hat.

Bei den beiden anderen Foren läuft PHP 7.3.24 ohne Probleme.
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 237
Registriert: 13.01.2020 21:09

Re: 3.3.0 - Probleme beim Update seit 3.3.0

Beitrag von Mike-on-Tour »

Die ausgegebene Warnung von PHP ist der Tatsache geschuldet, dass ab PHP 7.3 eine Warnung ausgegeben wird, wenn innerhalb einer "switch"-Konstruktion "continue" statt "break" verwendet wird, deshalb tippe ich mal darauf, dass hier Dateien im "vendor"-Ordner nicht korrekt hochgeladen bzw. alte Versionen zurückbehalten wurden.
Ich würde versuchen, durch komplettes Löschen des "vendor"-Ordners und erneutes Hochladen (im Binärmodus) auf den Server dieses Verhalten zu korrigieren.

Da meines Wissens beim Updaten der Datenbank nicht auf diesen Ordner zugegriffen wird (das läuft über Migrations-Dateien, die in einem anderen Verzeichnis liegen), denke ich nicht, dass das auch die Ursache für den Abbruch des Updates bei 77% ist. Hast du im "store"-Ordner noch die *.log Dateien der beiden erfolglosen Updateversuche? Da müsste ja als letzter Eintrag die letzte erfolgreiche Aktion drinstehen, vielleicht hilft das weiter.
Antworten

Zurück zu „Support-Forum“